import App from './App'
import getUrlKey from './utils/getToken.js'

sessionStorage.setItem('token',getUrlKey('token'))//
sessionStorage.setItem('message',getUrlKey('message'))
// alert('token'+getUrlKey('token'))
// alert('message',getUrlKey('message'))


import axios from "axios"
import qs from 'qs'
import HttpRequest from './common/httpRequest'
import HttpCache from './common/cache'
import queue from './common/queue'
Vue.prototype.$queue = queue;
Vue.prototype.$Request = HttpRequest;
Vue.prototype.$Sysconf = HttpRequest.config;
Vue.prototype.$SysCache = HttpCache;

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
Vue.prototype.$axios = axios;
Vue.prototype.$qs = qs;
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif